create.smooth <-
function(ecopath,sigmaLN=NULL,pas=NULL,decalage=NULL,smooth=NULL)
{

decalage_init<-decalage
sigmaLN_init<-sigmaLN
if (is.null(decalage)) decalage <- 1.8               ##default values
if (is.null(pas)) pas <- 0.1
if (is.null(smooth)) smooth <- 0.07  

Troph_round <- ecopath$TL

for (i in 1:length(ecopath$group_name))
{
tmp_tl=ecopath[i,]$TL
Troph_round[i] <- seq(0,7,pas)[as.numeric(cut(tmp_tl+0.0000000000001,seq(0,7,pas),right=FALSE))]  ## assignment of a trophic class to the trophic groups
}

TL_out <- c(1,seq(from=2, to=7, by=pas))

tab_smooth <- array(dim=c(length(TL_out),length(ecopath$group_name)),dimnames=list(TL_out,Troph_round))

if (is.null(sigmaLN))
{
sigmaLN <- rep(0.12,length(Troph_round))                            ## constant sigma
}

if (!(is.null(sigmaLN_init)))
{
if (sigmaLN=="smooth_choice")
{
sigmaLN <- smooth*log(Troph_round-0.05)                              ##lognormal default sigma (other choices : smooth or OI or saturation function) 
if (is.null(decalage_init)) decalage <- 0.95               ##default values
}
}

for (i in 1:length(ecopath$group_name))
for (j in 2:length(TL_out))
if (colnames(tab_smooth)[i]>=2)
tab_smooth[j,i]<-exp(-1/2*((log(TL_out[j]-decalage)-log(Troph_round[i]-decalage))/sigmaLN[i])^2)/((TL_out[j]-decalage)*sigmaLN[i]*((2*pi)^(1/2)))


for(i in 1:length(Troph_round))
if (colnames(tab_smooth)[i]==1)
tab_smooth[1,i]<-1

for (i in 1:length(Troph_round))
if (colnames (tab_smooth)[i]>1 & colnames (tab_smooth)[i]<2)
{
tab_smooth[,i] <- 0
tab_smooth[1,i] <- 2- as.numeric(colnames(tab_smooth)[i])
tab_smooth[2,i] <- as.numeric(colnames(tab_smooth)[i])-1
}

tab_smooth[is.na(tab_smooth)]<-0

sumcol <- colSums(tab_smooth)
for (i in 1:length(ecopath$group_name))
tab_smooth[,i]<- tab_smooth[,i]/sumcol[i] 

return(tab_smooth)

}

