\name{create.ETmain}
\alias{create.ETmain}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Create ET Main 
}
\description{
This function enables the creation of the ET Main table (summarizing the principal results in function of the TL).
}
\usage{
create.ETmain(ecopath, sigmaLN = NULL, pas = NULL, decalage = NULL, smooth = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ecopath}{
is the table returned by the Ecopath routine. The different varaiables are the group name, its trophic level, biomass, production and consumption ratio, catches, omnivory index and accessibility (fraction of the group that can be catch supposing an infinite fishing effort).
}
  \item{sigmaLN}{
is a parameter of the create.smooth function. It defines the sigma of the lognormal distribution. By default sigmaLN=0.12. For sigmaLN="smooth_choice", sigmaLN=smooth*ln(TL-0.05).
}
  \item{pas}{
is a parameter of the create.smooth function. It defines the splitting of the TL classes.
}
  \item{decalage}{
is a parameter of the create.smooth function. It defines the beginning of the smooth function and allows the substraction of 0.05 in the sigma calculation accounting for the half interval range of the trophic class. 
}
  \item{smooth}{
is a parameter of the create.smooth function. It defines the slope of the log-linearly increase of the TL variability with the mean trophic level of the group for sigmaLN="smooth_choice". Sigma(TL) is thus defined as sigma(TL)=smooth*ln(TL-0.05).
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
This function returns the ET Main table and some intermediate matrix : biomass, accessible biomass, flowP and a list of matrix corresponding to the catch of the different fisheries.
}
\references{
Gascuel et al. (2009) EcoTroph (ET): a trophic level based software for assessing the impacts of fishing on aquatic ecosystems.
}
\author{
Colleter Mathieu and Guitton Jerome.
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
create.smooth function to create the Smooth, plot.smooth.R to plot the smooth function, Transpose.R to calculate the data transposition into trophic spectra, plot.Transpose.R to plot the trophic spectra.
}
\examples{
data(ecopath_guinee)
create.ETmain(ecopath_guinee)
create.ETmain(ecopath_guinee,sigmaLN="smooth_choice")
create.ETmain(ecopath_guinee, sigmaLN=ecopath_guinee$OI)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~EcoTroph }
\keyword{ ~Transpose }
